
Infrastructure - Task #8078

Story # 8061 (New): develop queue-based processing system for the CN

standardize task serialization for language independence

2017-04-24 22:14 - Rob Nahf

Status: New Start date: 2017-04-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

the prototype code is using Java Serialization to turn the IndexTasks into byte[].  We should use a more universal messaging

standard, like JSON, Mime Multipart, or XML.

If JSON, Java would need to determine the parsing library (Jackson seems like a decend choice).

History

#1 - 2017-04-24 22:51 - Rob Nahf

- Assignee changed from Dave Vieglais to Rob Nahf

#2 - 2017-04-25 22:39 - Rob Nahf

also look at Google's protocol buffers:  https://developers.google.com/protocol-buffers/docs/overview

It requires code generation of the Java class  (  https://developers.google.com/protocol-buffers/docs/javatutorial  )

1. create a .proto data format definition

2. download the protocol buffer compiler

3. compile the .proto data format from the command line

4. use the resulting Java class.

maybe useful?  https://github.com/hopped/rabbitmq-protobuf/blob/master/src/main/resources/java/gen-java.sh
